Beefy Boxes and Bandwidth Generously Provided by pair Networks
There's more than one way to do things
 
PerlMonks  

Re: Active Perl 5.16 email code problem"

by kennethk (Monsignor)
on Jul 20, 2013 at 20:19 UTC ( #1045462=note: print w/ replies, xml ) Need Help??


in reply to Active Perl 5.16 email code problem"

I just installed those packages via PPM for Perl 5.16.2, MSWin32-x86-multi-thread by ActiveState. No troubles. Are you sure you are using the correct perl (either via command line or as specified in your IDE) and that you used the PPM associated w/ your Perl 5.16 install?


#11929 First ask yourself `How would I do this without a computer?' Then have the computer do it the same way.


Comment on Re: Active Perl 5.16 email code problem"
Re^2: Active Perl 5.16 email code problem"
by mike_gerard (Novice) on Jul 21, 2013 at 19:53 UTC

    I have used the correct new PPM, which appears to install the relevant packages. However, it does not seem to put them in the site/lib folder, so I have no idea where they have been put!

    I will remove then reinstall 5.16

      I have multiple versions of Perl installed on my machine; rather than installing them on the default path, I usually qualify based on version (e.g. C:\Perl-5.16). That allows for the most fluid transition from one version to another, as well as letting me easily check what's installed.

      If PPM didn't put your libraries in the site/lib folder, might I suggest doing a file search for SMTP_auth.pm (pretty unique name) to figure out where it did install them?


      #11929 First ask yourself `How would I do this without a computer?' Then have the computer do it the same way.

Re^2: Active Perl 5.16 email code problem"
by mike_gerard (Novice) on Jul 22, 2013 at 08:12 UTC

    It put them in a new directory TEMP/---Perl-please-run-the-install-script---

    I found someone having a similar problem, but who appeared to want to update the version in a slightly non-standard way. For him, everything went right after he ran the batch process install.bat. However, I can find no related install.bat anywhere!

    I could probably move these files manually, but that is not a satisfactory answer

    Although the 5.16 documentation is ambiguous (it is headed as 5.16 but then refers to an upgrade from earlier versions to 5.14!!!), I suspect that it might require removing the previous version 5.14 before installing 5.16!

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://1045462]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others chilling in the Monastery: (7)
As of 2014-12-28 22:38 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    Is guessing a good strategy for surviving in the IT business?





    Results (183 votes), past polls